import { Assignment } from 'src/schemas/assignment.schema';
import { AssignmentService } from 'src/services/assignment.service';
export declare class AssignmentController {
    private readonly assignmentService;
    constructor(assignmentService: AssignmentService);
    create(assignmentFile: Express.Multer.File, answerFile: Express.Multer.File, assignment: Assignment): Promise<Assignment>;
    edit(assignmentId: string, assignmentFile: Express.Multer.File, answerFile: Express.Multer.File, updatedAssignment: Assignment): Promise<Assignment>;
    getAll(): Promise<Assignment[]>;
    getById(assignmentId: string): Promise<Assignment>;
    getByLessonId(lessonId: string): Promise<Assignment[]>;
    delete(assignmentId: string): Promise<void>;
}
